February 28, 2015 · linux

matplotlib install on ubuntu14

I installed matplotlib on ubuntu14 today. When I use plot.show(). It raised such error: NotImplementedError: Surface.create_for_data: Not Implemented yet. and I got a blank image.

The reason is pycairo does not support python3. To fix it, sudo pip3 install cairocffi. See this Reference

  • LinkedIn
  • Tumblr
  • Reddit
  • Google+
  • Pinterest
  • Pocket